Bug 108132 - Intel 8550U with 620UHD GPU screen flashing
Summary: Intel 8550U with 620UHD GPU screen flashing
Status: NEW
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: high normal
Assignee: Jani Saarinen
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
: 108138 108702 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-10-02 15:43 UTC by Joe
Modified: 2019-08-27 09:13 UTC (History)
9 users (show)

See Also:
i915 platform: KBL
i915 features: display/DP


Attachments
Glitch. (6.03 MB, video/quicktime)
2018-10-02 15:43 UTC, Joe
no flags Details
cat /sys/kernel/debug/dri/0/i915_edp_psr_status (147 bytes, text/plain)
2018-10-04 04:17 UTC, Joe
no flags Details
dmesg after drm changes (58.53 KB, text/plain)
2018-10-04 04:31 UTC, Joe
no flags Details
dmesg2.txt (58.85 KB, text/plain)
2018-10-04 19:52 UTC, Joe
no flags Details
dmesg3.txt (1015.49 KB, text/plain)
2018-10-05 03:40 UTC, Joe
no flags Details
grub (1.39 KB, text/plain)
2018-10-05 03:41 UTC, Joe
no flags Details
Kernel 4.19 before flickering stops (604.35 KB, text/plain)
2018-10-08 22:07 UTC, Mazin
no flags Details
flickering stopped (1.27 MB, text/plain)
2018-10-08 22:07 UTC, Mazin
no flags Details
dmesg4.txt (1.04 MB, text/plain)
2018-10-09 03:34 UTC, Joe
no flags Details
kernel 4.19 2018-10-12 (1.96 MB, text/plain)
2018-10-12 19:07 UTC, Mazin
no flags Details
form drm-tip built on 2018-11-02 (60.38 KB, text/plain)
2018-11-06 19:35 UTC, Mazin
no flags Details
Forgot to add required boot parameters, here is the fixed one (923.49 KB, text/plain)
2018-11-07 14:58 UTC, Mazin
no flags Details
dmesg from 5.1.4-arch1-1-ARCH with drm.debug=14 (120.49 KB, text/plain)
2019-05-28 05:59 UTC, Yugge
no flags Details
dmesg with constant_n forced true (123.74 KB, text/plain)
2019-05-28 17:57 UTC, Yugge
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joe 2018-10-02 15:43:17 UTC
Created attachment 141835 [details]
Glitch.

Team,

I picked up a new Lenovo IdeaPad 720S which comes with the KabyLake
i7-8550U chip with Intel 620UHD Chip. Ran the Intel SSU Scan Tool and
sent to their support and Intel told me to look here for the driver
but I can't find it.  Basically my screen is flashing like crazy and
I'm hoping to find the driver here. Also running Ubuntu 18.04 LTS,
18.10, Arch, Deeping, CentOS 7, and Fedora 28 all have the same
glitch. Also attached is a 10 sec video of glitch and below is dmesg output.


[    0.000000] Linux version 4.18.0-8-generic (buildd@lgw01-amd64-055) (gcc version 8.2.0 (Ubuntu 8.2.0-6ubuntu1)) #9-Ubuntu SMP Mon Sep 10 16:12:10 UTC 2018 (Ubuntu 4.18.0-8.9-generic 4.18.7)
[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.18.0-8-generic root=UUID=c553767e-2b50-4fc3-bae8-31fc029a561c ro quiet splash i915.alpha_support=1 vt.handoff=1
[    0.000000] KERNEL supported cpus:
[    0.000000]   Intel GenuineIntel
[    0.000000]   AMD AuthenticAMD
[    0.000000]   Centaur CentaurHauls
[    0.000000] x86/fpu: Supporting XSAVE feature 0x001: 'x87 floating point registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x002: 'SSE registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x004: 'AVX registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x008: 'MPX bounds registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x010: 'MPX CSR'
[    0.000000] x86/fpu: xstate_offset[2]:  576, xstate_sizes[2]:  256
[    0.000000] x86/fpu: xstate_offset[3]:  832, xstate_sizes[3]:   64
[    0.000000] x86/fpu: xstate_offset[4]:  896, xstate_sizes[4]:   64
[    0.000000] x86/fpu: Enabled xstate features 0x1f, context size is 960 bytes, using 'compacted' format.
[    0.000000] BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x0000000000057fff] usable
[    0.000000] BIOS-e820: [mem 0x0000000000058000-0x0000000000058fff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000059000-0x000000000009dfff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009e000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x00000000125d7fff] usable
[    0.000000] BIOS-e820: [mem 0x00000000125d8000-0x00000000125d8fff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x00000000125d9000-0x00000000125d9fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000125da000-0x00000000140a7fff] usable
[    0.000000] BIOS-e820: [mem 0x00000000140a8000-0x00000000149a7fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000149a8000-0x000000002ee9dfff] usable
[    0.000000] BIOS-e820: [mem 0x000000002ee9e000-0x000000002f09dfff] type 20
[    0.000000] BIOS-e820: [mem 0x000000002f09e000-0x000000002f88dfff] reserved
[    0.000000] BIOS-e820: [mem 0x000000002f88e000-0x000000002ff7dfff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x000000002ff7e000-0x000000002fffdfff] ACPI data
[    0.000000] BIOS-e820: [mem 0x000000002fffe000-0x000000002fffefff] usable
[    0.000000] BIOS-e820: [mem 0x000000002ffff000-0x000000003cffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000efffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fd000000-0x00000000fe7fffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed00000-0x00000000fed00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed10000-0x00000000fed19fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed84000-0x00000000fed84fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000ffa10000-0x00000000ffffffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000100000000-0x00000002c1ffffff] usable
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] efi: EFI v2.50 by INSYDE Corp.
[    0.000000] efi:  ACPI 2.0=0x2fffd014  SMBIOS=0x2f102000  SMBIOS 3.0=0x2f100000  ESRT=0x1ff40358 
[    0.000000] secureboot: Secure boot could not be determined (mode 0)
[    0.000000] SMBIOS 3.0.0 present.
[    0.000000] DMI: LENOVO 81BV/LNVNB161216, BIOS 6MCN28WW 07/18/2018
[    0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[    0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
[    0.000000] last_pfn = 0x2c2000 max_arch_pfn = 0x400000000
[    0.000000] MTRR default type: write-back
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-FFFFF write-protect
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 0080000000 mask 7F80000000 uncachable
[    0.000000]   1 base 0040000000 mask 7FC0000000 uncachable
[    0.000000]   2 base 003C000000 mask 7FFC000000 uncachable
[    0.000000]   3 base 003A000000 mask 7FFE000000 uncachable
[    0.000000]   4 base 0039000000 mask 7FFF000000 uncachable
[    0.000000]   5 base 0038800000 mask 7FFF800000 uncachable
[    0.000000]   6 base 2000000000 mask 7000000000 uncachable
[    0.000000]   7 disabled
[    0.000000]   8 disabled
[    0.000000]   9 disabled
[    0.000000] x86/PAT: Configuration [0-7]: WB  WC  UC- UC  WB  WP  UC- WT  
[    0.000000] last_pfn = 0x2ffff max_arch_pfn = 0x400000000
[    0.000000] esrt: Reserving ESRT space from 0x000000001ff40358 to 0x000000001ff403e0.
[    0.000000] Scanning 1 areas for low memory corruption
[    0.000000] Base memory trampoline at [(____ptrval____)] 97000 size 24576
[    0.000000] Using GB pages for direct mapping
[    0.000000] BRK [0x2b15a000, 0x2b15afff] PGTABLE
[    0.000000] BRK [0x2b15b000, 0x2b15bfff] PGTABLE
[    0.000000] BRK [0x2b15c000, 0x2b15cfff] PGTABLE
[    0.000000] BRK [0x2b15d000, 0x2b15dfff] PGTABLE
[    0.000000] BRK [0x2b15e000, 0x2b15efff] PGTABLE
[    0.000000] BRK [0x2b15f000, 0x2b15ffff] PGTABLE
[    0.000000] BRK [0x2b160000, 0x2b160fff] PGTABLE
[    0.000000] BRK [0x2b161000, 0x2b161fff] PGTABLE
[    0.000000] RAMDISK: [mem 0x2c2fe000-0x2e8c8fff]
[    0.000000] ACPI: Early table checksum verification disabled
[    0.000000] ACPI: RSDP 0x000000002FFFD014 000024 (v02 LENOVO)
[    0.000000] ACPI: XSDT 0x000000002FFBF188 000114 (v01 LENOVO CB-01    00000001      01000013)
[    0.000000] ACPI: FACP 0x000000002FFEA000 00010C (v05 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: DSDT 0x000000002FFC4000 0229FD (v02 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: FACS 0x000000002FF57000 000040
[    0.000000] ACPI: UEFI 0x000000002FFFC000 000236 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: UEFI 0x000000002FFFB000 000042 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: MSDM 0x000000002FFFA000 000055 (v03 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x000000002FFF9000 0004C3 (v02 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x000000002FFF8000 000046 (v02 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: TPM2 0x000000002FFF7000 000034 (v03 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x000000002FFF3000 003090 (v02 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x000000002FFEF000 003825 (v02 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: ASF! 0x000000002FFEE000 0000A5 (v32 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: ASPT 0x000000002FFED000 000034 (v07 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: BOOT 0x000000002FFEC000 000028 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: DBGP 0x000000002FFEB000 000034 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: HPET 0x000000002FFE9000 000038 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: APIC 0x000000002FFE8000 00012C (v03 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: MCFG 0x000000002FFE7000 00003C (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: LPIT 0x000000002FFC3000 000094 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: WSMT 0x000000002FFC2000 000028 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x000000002FFC1000 00029F (v02 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x000000002FFC0000 000346 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x000000002FFBB000 003002 (v02 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x000000002FFBA000 00051E (v02 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: DBGP 0x000000002FFB9000 000034 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: DBG2 0x000000002FFB8000 000054 (v00 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x000000002FFB7000 000B23 (v02 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x000000002FFB5000 0017AE (v02 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: DMAR 0x000000002FFB4000 0000F0 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: NHLT 0x000000002FFB3000 00002D (v00 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: FPDT 0x000000002FFB2000 000044 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: BGRT 0x000000002FFB1000 000038 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at [mem 0x0000000000000000-0x00000002c1ffffff]
[    0.000000] NODE_DATA(0) allocated [mem 0x2c1fd3000-0x2c1ffdfff]
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x0000000000001000-0x0000000000ffffff]
[    0.000000]   DMA32    [mem 0x0000000001000000-0x00000000ffffffff]
[    0.000000]   Normal   [mem 0x0000000100000000-0x00000002c1ffffff]
[    0.000000]   Device   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x0000000000001000-0x0000000000057fff]
[    0.000000]   node   0: [mem 0x0000000000059000-0x000000000009dfff]
[    0.000000]   node   0: [mem 0x0000000000100000-0x00000000125d7fff]
[    0.000000]   node   0: [mem 0x00000000125da000-0x00000000140a7fff]
[    0.000000]   node   0: [mem 0x00000000149a8000-0x000000002ee9dfff]
[    0.000000]   node   0: [mem 0x000000002fffe000-0x000000002fffefff]
[    0.000000]   node   0: [mem 0x0000000100000000-0x00000002c1ffffff]
[    0.000000] Reserved but unavailable: 6855 pages
[    0.000000] Initmem setup node 0 [mem 0x0000000000001000-0x00000002c1ffffff]
[    0.000000] On node 0 totalpages: 2032953
[    0.000000]   DMA zone: 64 pages used for memmap
[    0.000000]   DMA zone: 23 pages reserved
[    0.000000]   DMA zone: 3996 pages, LIFO batch:0
[    0.000000]   DMA32 zone: 2903 pages used for memmap
[    0.000000]   DMA32 zone: 185757 pages, LIFO batch:31
[    0.000000]   Normal zone: 28800 pages used for memmap
[    0.000000]   Normal zone: 1843200 pages, LIFO batch:31
[    0.000000] Reserving Intel graphics memory at [mem 0x39000000-0x3cffffff]
[    0.000000] ACPI: PM-Timer IO Port: 0x1808
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x02] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x03] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x04] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x05] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x06] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x07] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x08] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x09] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x0a] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x0b] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x0c] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x0d] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x0e] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x0f] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x10] high edge lint[0x1])
[    0.000000] IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-119
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: IRQ0 used by override.
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[    0.000000] smpboot: Allowing 8 CPUs, 0 hotplug CPUs
[    0.000000] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]
[    0.000000] PM: Registered nosave memory: [mem 0x00058000-0x00058fff]
[    0.000000] PM: Registered nosave memory: [mem 0x0009e000-0x000fffff]
[    0.000000] PM: Registered nosave memory: [mem 0x125d8000-0x125d8fff]
[    0.000000] PM: Registered nosave memory: [mem 0x125d9000-0x125d9fff]
[    0.000000] PM: Registered nosave memory: [mem 0x140a8000-0x149a7fff]
[    0.000000] PM: Registered nosave memory: [mem 0x2ee9e000-0x2f09dfff]
[    0.000000] PM: Registered nosave memory: [mem 0x2f09e000-0x2f88dfff]
[    0.000000] PM: Registered nosave memory: [mem 0x2f88e000-0x2ff7dfff]
[    0.000000] PM: Registered nosave memory: [mem 0x2ff7e000-0x2fffdfff]
[    0.000000] PM: Registered nosave memory: [mem 0x2ffff000-0x3cffffff]
[    0.000000] PM: Registered nosave memory: [mem 0x3d000000-0xdfffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xe0000000-0xefffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xf0000000-0xfcffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfd000000-0xfe7fffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfe800000-0xfebfffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfec00000-0xfec00fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfec01000-0xfecfffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed00000-0xfed00fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed01000-0xfed0ffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed10000-0xfed19fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed1a000-0xfed83fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed84000-0xfed84fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed85000-0xfedfffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfee00000-0xfee00fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfee01000-0xffa0ffff]
[    0.000000] PM: Registered nosave memory: [mem 0xffa10000-0xffffffff]
[    0.000000] [mem 0x3d000000-0xdfffffff] available for PCI devices
[    0.000000] Booting paravirtualized kernel on bare hardware
[    0.000000] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 7645519600211568 ns
[    0.000000] random: get_random_bytes called from start_kernel+0x99/0x55a with crng_init=0
[    0.000000] setup_percpu: NR_CPUS:8192 nr_cpumask_bits:8 nr_cpu_ids:8 nr_node_ids:1
[    0.000000] percpu: Embedded 46 pages/cpu @(____ptrval____) s151552 r8192 d28672 u262144
[    0.000000] pcpu-alloc: s151552 r8192 d28672 u262144 alloc=1*2097152
[    0.000000] pcpu-alloc: [0] 0 1 2 3 4 5 6 7 
[    0.000000] Built 1 zonelists, mobility grouping on.  Total pages: 2001163
[    0.000000] Policy zone: Normal
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.18.0-8-generic root=UUID=c553767e-2b50-4fc3-bae8-31fc029a561c ro quiet splash i915.alpha_support=1 vt.handoff=1
[    0.000000] Calgary: detecting Calgary via BIOS EBDA area
[    0.000000] Calgary: Unable to locate Rio Grande table in EBDA - bailing!
[    0.000000] Memory: 7797664K/8131812K available (12300K kernel code, 2628K rwdata, 4348K rodata, 2436K init, 2336K bss, 334148K reserved, 0K cma-reserved)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=8, Nodes=1
[    0.000000] Kernel/User page tables isolation: enabled
[    0.000000] ftrace: allocating 40787 entries in 160 pages
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	RCU restricting CPUs from NR_CPUS=8192 to nr_cpu_ids=8.
[    0.000000] 	Tasks RCU enabled.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=8
[    0.000000] NR_IRQS: 524544, nr_irqs: 2048, preallocated irqs: 16
[    0.000000] vt handoff: transparent VT on vt#1
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [tty0] enabled
[    0.000000] ACPI: Core revision 20180531
[    0.000000] clocksource: hpet: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 79635855245 ns
[    0.000000] hpet clockevent registered
[    0.004000] APIC: Switch to symmetric I/O mode setup
[    0.004000] DMAR: Host address width 39
[    0.004000] DMAR: DRHD base: 0x000000fed90000 flags: 0x0
[    0.004000] DMAR: dmar0: reg_base_addr fed90000 ver 1:0 cap 1c0000c40660462 ecap 19e2ff0505e
[    0.004000] DMAR: DRHD base: 0x000000fed91000 flags: 0x1
[    0.004000] DMAR: dmar1: reg_base_addr fed91000 ver 1:0 cap d2008c40660462 ecap f050da
[    0.004000] DMAR: RMRR base: 0x0000002f75d000 end: 0x0000002f77cfff
[    0.004000] DMAR: RMRR base: 0x00000038800000 end: 0x0000003cffffff
[    0.004000] DMAR: ANDD device: 1 name: \_SB.PCI0.I2C0
[    0.004000] DMAR: ANDD device: 2 name: \_SB.PCI0.I2C1
[    0.004000] DMAR-IR: IOAPIC id 2 under DRHD base  0xfed91000 IOMMU 1
[    0.004000] DMAR-IR: HPET id 0 under DRHD base 0xfed91000
[    0.004000] DMAR-IR: Queued invalidation will be enabled to support x2apic and Intr-remapping.
[    0.004000] DMAR-IR: Enabled IRQ remapping in x2apic mode
[    0.004000] x2apic enabled
[    0.004000] Switched APIC routing to cluster x2apic.
[    0.008000] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.028000] tsc: Detected 2000.000 MHz processor
[    0.028000] tsc: Detected 1992.000 MHz TSC
[    0.028000] clocksource: tsc-early: mask: 0xffffffffffffffff max_cycles: 0x396d519840e, max_idle_ns: 881590569543 ns
[    0.028000] Calibrating delay loop (skipped), value calculated using timer frequency.. 3984.00 BogoMIPS (lpj=7968000)
[    0.028000] pid_max: default: 32768 minimum: 301
[    0.028000] Security Framework initialized
[    0.028000] Yama: becoming mindful.
[    0.028000] AppArmor: AppArmor initialized
[    0.032325] Dentry cache hash table entries: 1048576 (order: 11, 8388608 bytes)
[    0.033557] Inode-cache hash table entries: 524288 (order: 10, 4194304 bytes)
[    0.033599] Mount-cache hash table entries: 16384 (order: 5, 131072 bytes)
[    0.033629] Mountpoint-cache hash table entries: 16384 (order: 5, 131072 bytes)
[    0.033971] mce: CPU supports 10 MCE banks
[    0.033985] CPU0: Thermal monitoring enabled (TM1)
[    0.034016] process: using mwait in idle threads
[    0.034019] Last level iTLB entries: 4KB 64, 2MB 8, 4MB 8
[    0.034020] Last level dTLB entries: 4KB 64, 2MB 0, 4MB 0, 1GB 4
[    0.034022] Spectre V2 : Mitigation: Full generic retpoline
[    0.034023] Spectre V2 : Spectre v2 / SpectreRSB mitigation: Filling RSB on context switch
[    0.034024] Spectre V2 : Spectre v2 mitigation: Enabling Indirect Branch Prediction Barrier
[    0.034024] Spectre V2 : Enabling Restricted Speculation for firmware calls
[    0.034026] Speculative Store Bypass: Mitigation: Speculative Store Bypass disabled via prctl and seccomp
[    0.034163] Freeing SMP alternatives memory: 36K
[    0.038470] TSC deadline timer enabled
[    0.038477] smpboot: CPU0: Intel(R) Core(TM) i7-8550U CPU @ 1.80GHz (family: 0x6, model: 0x8e, stepping: 0xa)
[    0.038617] Performance Events: PEBS fmt3+, Skylake events, 32-deep LBR, full-width counters, Intel PMU driver.
[    0.038663] ... version:                4
[    0.038663] ... bit width:              48
[    0.038664] ... generic registers:      4
[    0.038665] ... value mask:             0000ffffffffffff
[    0.038666] ... max period:             00007fffffffffff
[    0.038667] ... fixed-purpose events:   3
[    0.038668] ... event mask:             000000070000000f
[    0.038725] Hierarchical SRCU implementation.
[    0.040000] smp: Bringing up secondary CPUs ...
[    0.040000] x86: Booting SMP configuration:
[    0.040000] .... node  #0, CPUs:      #1
[    0.040052] NMI watchdog: Enabled. Permanently consumes one hw-PMU counter.
[    0.040127]  #2 #3 #4 #5 #6 #7
[    0.049438] smp: Brought up 1 node, 8 CPUs
[    0.049438] smpboot: Max logical packages: 1
[    0.049438] smpboot: Total of 8 processors activated (31872.00 BogoMIPS)
[    0.052429] devtmpfs: initialized
[    0.052429] x86/mm: Memory block size: 128MB
[    0.053007] PM: Registering ACPI NVS region [mem 0x125d8000-0x125d8fff] (4096 bytes)
[    0.053007] PM: Registering ACPI NVS region [mem 0x2f88e000-0x2ff7dfff] (7274496 bytes)
[    0.053007] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 7645041785100000 ns
[    0.053007] futex hash table entries: 2048 (order: 5, 131072 bytes)
[    0.053007] pinctrl core: initialized pinctrl subsystem
[    0.053007] RTC time:  4:53:40, date: 10/02/18
[    0.053338] NET: Registered protocol family 16
[    0.053482] audit: initializing netlink subsys (disabled)
[    0.053491] audit: type=2000 audit(1538456020.052:1): state=initialized audit_enabled=0 res=1
[    0.053491] cpuidle: using governor ladder
[    0.053491] cpuidle: using governor menu
[    0.053491] Simple Boot Flag at 0x44 set to 0x1
[    0.053491] ACPI: bus type PCI registered
[    0.053491] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.053491] PCI: MMCONFIG for domain 0000 [bus 00-ff] at [mem 0xe0000000-0xefffffff] (base 0xe0000000)
[    0.053491] PCI: MMCONFIG at [mem 0xe0000000-0xefffffff] reserved in E820
[    0.053491] PCI: Using configuration type 1 for base access
[    0.057819] HugeTLB registered 1.00 GiB page size, pre-allocated 0 pages
[    0.057819] HugeTLB registered 2.00 MiB page size, pre-allocated 0 pages
[    0.057819] ACPI: Added _OSI(Module Device)
[    0.057819] ACPI: Added _OSI(Processor Device)
[    0.057819] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.057819] ACPI: Added _OSI(Processor Aggregator Device)
[    0.057819] ACPI: Added _OSI(Linux-Dell-Video)
[    0.057819] ACPI: Added _OSI(Linux-Lenovo-NV-HDMI-Audio)
[    0.117282] ACPI: 11 ACPI AML tables successfully acquired and loaded
[    0.129416] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
[    0.136639] ACPI: Dynamic OEM Table Load:
[    0.136641] ACPI: SSDT 0xFFFF91A637D39000 0005CD (v02 PmRef  Cpu0Ist  00003000 INTL 20160527)
[    0.136903] ACPI: \_PR_.PR00: _OSC native thermal LVT Acked
[    0.137705] ACPI: Dynamic OEM Table Load:
[    0.137717] ACPI: SSDT 0xFFFF91A637F73800 0003FF (v02 PmRef  Cpu0Cst  00003001 INTL 20160527)
[    0.140497] ACPI: Dynamic OEM Table Load:
[    0.140507] ACPI: SSDT 0xFFFF91A637D36E40 0000BA (v02 PmRef  Cpu0Hwp  00003000 INTL 20160527)
[    0.141139] ACPI: Dynamic OEM Table Load:
[    0.141149] ACPI: SSDT 0xFFFF91A637D3B800 000628 (v02 PmRef  HwpLvt   00003000 INTL 20160527)
[    0.141617] ACPI: Dynamic OEM Table Load:
[    0.141617] ACPI: SSDT 0xFFFF91A63785B000 000D14 (v02 PmRef  ApIst    00003000 INTL 20160527)
[    0.144305] ACPI: Dynamic OEM Table Load:
[    0.144316] ACPI: SSDT 0xFFFF91A637F2C400 000317 (v02 PmRef  ApHwp    00003000 INTL 20160527)
[    0.145120] ACPI: Dynamic OEM Table Load:
[    0.145130] ACPI: SSDT 0xFFFF91A637F29000 00030A (v02 PmRef  ApCst    00003000 INTL 20160527)
[    0.150595] ACPI: EC: EC started
[    0.150596] ACPI: EC: interrupt blocked
[    0.151057] ACPI: \_SB_.PCI0.LPCB.EC0_: Used as first EC
[    0.151060] ACPI: \_SB_.PCI0.LPCB.EC0_: GPE=0x4f, EC_CMD/EC_SC=0x66, EC_DATA=0x62
[    0.151062] ACPI: \_SB_.PCI0.LPCB.EC0_: Used as boot DSDT EC to handle transactions
[    0.151063] ACPI: Interpreter enabled
[    0.151134] ACPI: (supports S0 S3 S4 S5)
[    0.151135] ACPI: Using IOAPIC for interrupt routing
[    0.151195] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.152088] ACPI: Enabled 8 GPEs in block 00 to 7F
[    0.163486] ACPI: Power Resource [WRST] (on)
[    0.164254] ACPI: Power Resource [WRST] (on)
[    0.165008] ACPI: Power Resource [WRST] (on)
[    0.165907] ACPI: Power Resource [WRST] (on)
[    0.166789] ACPI: Power Resource [WRST] (on)
[    0.167542] ACPI: Power Resource [WRST] (on)
[    0.168288] ACPI: Power Resource [WRST] (on)
[    0.169035] ACPI: Power Resource [WRST] (on)
[    0.170095] ACPI: Power Resource [WRST] (on)
[    0.171761] ACPI: Power Resource [WRST] (on)
[    0.172506] ACPI: Power Resource [WRST] (on)
[    0.173250] ACPI: Power Resource [WRST] (on)
[    0.173955] ACPI: Power Resource [WRST] (on)
[    0.174666] ACPI: Power Resource [WRST] (on)
[    0.175372] ACPI: Power Resource [WRST] (on)
[    0.176082] ACPI: Power Resource [WRST] (on)
[    0.176779] ACPI: Power Resource [WRST] (on)
[    0.177474] ACPI: Power Resource [WRST] (on)
[    0.178180] ACPI: Power Resource [WRST] (on)
[    0.178891] ACPI: Power Resource [WRST] (on)
[    0.194684] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-fe])
[    0.194693] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    0.198955] acpi PNP0A08:00: _OSC: OS now controls [PCIeHotplug SHPCHotplug PME AER PCIeCapability LTR]
[    0.202418] PCI host bridge to bus 0000:00
[    0.202421] pci_bus 0000:00: root bus resource [io  0x0000-0x0cf7 window]
[    0.202423] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff window]
[    0.202425] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
[    0.202427] pci_bus 0000:00: root bus resource [mem 0x000c0000-0x000c3fff window]
[    0.202429] pci_bus 0000:00: root bus resource [mem 0x000c4000-0x000c7fff window]
[    0.202430] pci_bus 0000:00: root bus resource [mem 0x000c8000-0x000cbfff window]
[    0.202432] pci_bus 0000:00: root bus resource [mem 0x000cc000-0x000cffff window]
[    0.202434] pci_bus 0000:00: root bus resource [mem 0x000d0000-0x000d3fff window]
[    0.202436] pci_bus 0000:00: root bus resource [mem 0x000d4000-0x000d7fff window]
[    0.202437] pci_bus 0000:00: root bus resource [mem 0x000d8000-0x000dbfff window]
[    0.202439] pci_bus 0000:00: root bus resource [mem 0x000dc000-0x000dffff window]
[    0.202441] pci_bus 0000:00: root bus resource [mem 0x3d000000-0xdfffffff window]
[    0.202443] pci_bus 0000:00: root bus resource [mem 0x2000000000-0x2fffffffff window]
[    0.202445] pci_bus 0000:00: root bus resource [mem 0xfd000000-0xfe7fffff window]
[    0.202447] pci_bus 0000:00: root bus resource [bus 00-fe]
[    0.202473] pci 0000:00:00.0: [8086:5914] type 00 class 0x060000
[    0.203812] pci 0000:00:02.0: [8086:5917] type 00 class 0x030000
[    0.203829] pci 0000:00:02.0: reg 0x10: [mem 0x2ff2000000-0x2ff2ffffff 64bit]
[    0.203838] pci 0000:00:02.0: reg 0x18: [mem 0x2fc0000000-0x2fcfffffff 64bit pref]
[    0.203845] pci 0000:00:02.0: reg 0x20: [io  0x3000-0x303f]
[    0.203867] pci 0000:00:02.0: BAR 2: assigned to efifb
[    0.205215] pci 0000:00:04.0: [8086:1903] type 00 class 0x118000
[    0.205235] pci 0000:00:04.0: reg 0x10: [mem 0x2ff3010000-0x2ff3017fff 64bit]
[    0.206647] pci 0000:00:08.0: [8086:1911] type 00 class 0x088000
[    0.206668] pci 0000:00:08.0: reg 0x10: [mem 0x2ff3021000-0x2ff3021fff 64bit]
[    0.208037] pci 0000:00:14.0: [8086:9d2f] type 00 class 0x0c0330
[    0.208065] pci 0000:00:14.0: reg 0x10: [mem 0x56400000-0x5640ffff 64bit]
[    0.208146] pci 0000:00:14.0: PME# supported from D3hot D3cold
[    0.209603] pci 0000:00:14.2: [8086:9d31] type 00 class 0x118000
[    0.209630] pci 0000:00:14.2: reg 0x10: [mem 0x2ff3020000-0x2ff3020fff 64bit]
[    0.211090] pci 0000:00:15.0: [8086:9d60] type 00 class 0x118000
[    0.211354] pci 0000:00:15.0: reg 0x10: [mem 0x2ff301f000-0x2ff301ffff 64bit]
[    0.213596] pci 0000:00:15.1: [8086:9d61] type 00 class 0x118000
[    0.213859] pci 0000:00:15.1: reg 0x10: [mem 0x2ff301e000-0x2ff301efff 64bit]
[    0.216046] pci 0000:00:16.0: [8086:9d3a] type 00 class 0x078000
[    0.216077] pci 0000:00:16.0: reg 0x10: [mem 0x2ff301d000-0x2ff301dfff 64bit]
[    0.216165] pci 0000:00:16.0: PME# supported from D3hot
[    0.217613] pci 0000:00:1c.0: [8086:9d13] type 01 class 0x060400
[    0.217720] pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
[    0.219149] pci 0000:00:1c.4: [8086:9d14] type 01 class 0x060400
[    0.219238] pci 0000:00:1c.4: PME# supported from D0 D3hot D3cold
[    0.220675] pci 0000:00:1d.0: [8086:9d18] type 01 class 0x060400
[    0.220776] pci 0000:00:1d.0: PME# supported from D0 D3hot D3cold
[    0.222227] pci 0000:00:1f.0: [8086:9d4e] type 00 class 0x060100
[    0.223685] pci 0000:00:1f.2: [8086:9d21] type 00 class 0x058000
[    0.223705] pci 0000:00:1f.2: reg 0x10: [mem 0x56410000-0x56413fff]
[    0.225110] pci 0000:00:1f.3: [8086:9d71] type 00 class 0x040380
[    0.225144] pci 0000:00:1f.3: reg 0x10: [mem 0x2ff3018000-0x2ff301bfff 64bit]
[    0.225183] pci 0000:00:1f.3: reg 0x20: [mem 0x2ff3000000-0x2ff300ffff 64bit]
[    0.225243] pci 0000:00:1f.3: PME# supported from D3hot D3cold
[    0.226760] pci 0000:00:1f.4: [8086:9d23] type 00 class 0x0c0500
[    0.226822] pci 0000:00:1f.4: reg 0x10: [mem 0x2ff301c000-0x2ff301c0ff 64bit]
[    0.226894] pci 0000:00:1f.4: reg 0x20: [io  0x3040-0x305f]
[    0.228547] pci 0000:01:00.0: [168c:003e] type 00 class 0x028000
[    0.228619] pci 0000:01:00.0: reg 0x10: [mem 0x56200000-0x563fffff 64bit]
[    0.228879] pci 0000:01:00.0: PME# supported from D0 D3hot D3cold
[    0.229350] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.229356] pci 0000:00:1c.0:   bridge window [mem 0x56200000-0x563fffff]
[    0.229427] pci 0000:02:00.0: [1c5c:1527] type 00 class 0x010802
[    0.229460] pci 0000:02:00.0: reg 0x10: [mem 0x56100000-0x56103fff 64bit]
[    0.229705] pci 0000:00:1c.4: PCI bridge to [bus 02]
[    0.229711] pci 0000:00:1c.4:   bridge window [mem 0x56100000-0x561fffff]
[    0.229785] pci 0000:00:1d.0: PCI bridge to [bus 03-3b]
[    0.229791] pci 0000:00:1d.0:   bridge window [mem 0x40000000-0x560fffff]
[    0.229797] pci 0000:00:1d.0:   bridge window [mem 0x2fd0000000-0x2ff1ffffff 64bit pref]
[    0.233746] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.233843] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 *10 11 12 14 15)
[    0.233937] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.234031] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.234124] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.234217] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.234315] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.234409] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.253623] ACPI: EC: interrupt unblocked
[    0.253642] ACPI: EC: event unblocked
[    0.253688] ACPI: \_SB_.PCI0.LPCB.EC0_: GPE=0x4f, EC_CMD/EC_SC=0x66, EC_DATA=0x62
[    0.253690] ACPI: \_SB_.PCI0.LPCB.EC0_: Used as boot DSDT EC to handle transactions and events
[    0.253979] SCSI subsystem initialized
[    0.253999] libata version 3.00 loaded.
[    0.253999] pci 0000:00:02.0: vgaarb: setting as boot VGA device
[    0.253999] pci 0000:00:02.0: vgaarb: VGA device added: decodes=io+mem,owns=io+mem,locks=none
[    0.253999] pci 0000:00:02.0: vgaarb: bridge control possible
[    0.253999] vgaarb: loaded
[    0.253999] ACPI: bus type USB registered
[    0.253999] usbcore: registered new interface driver usbfs
[    0.253999] usbcore: registered new interface driver hub
[    0.253999] usbcore: registered new device driver usb
[    0.253999] pps_core: LinuxPPS API ver. 1 registered
[    0.253999] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
[    0.253999] PTP clock support registered
[    0.253999] EDAC MC: Ver: 3.0.0
[    0.253999] Registered efivars operations
[    0.314586] PCI: Using ACPI for IRQ routing
[    0.337372] PCI: pci_cache_line_size set to 64 bytes
[    0.337787] e820: reserve RAM buffer [mem 0x00058000-0x0005ffff]
[    0.337789] e820: reserve RAM buffer [mem 0x0009e000-0x0009ffff]
[    0.337790] e820: reserve RAM buffer [mem 0x125d8000-0x13ffffff]
[    0.337792] e820: reserve RAM buffer [mem 0x140a8000-0x17ffffff]
[    0.337793] e820: reserve RAM buffer [mem 0x2ee9e000-0x2fffffff]
[    0.337795] e820: reserve RAM buffer [mem 0x2ffff000-0x2fffffff]
[    0.337796] e820: reserve RAM buffer [mem 0x2c2000000-0x2c3ffffff]
[    0.337938] NetLabel: Initializing
[    0.337939] NetLabel:  domain hash size = 128
[    0.337939] NetLabel:  protocols = UNLABELED CIPSOv4 CALIPSO
[    0.337957] NetLabel:  unlabeled traffic allowed by default
[    0.340736] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0, 0, 0, 0, 0, 0
[    0.340744] hpet0: 8 comparators, 64-bit 24.000000 MHz counter
[    0.340744] clocksource: Switched to clocksource tsc-early
[    0.355667] VFS: Disk quotas dquot_6.6.0
[    0.355693] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.355844] AppArmor: AppArmor Filesystem Enabled
[    0.355874] pnp: PnP ACPI init
[    0.356141] system 00:00: [mem 0xfd000000-0xfdabffff] has been reserved
[    0.356144] system 00:00: [mem 0xfdad0000-0xfdadffff] has been reserved
[    0.356146] system 00:00: [mem 0xfdb00000-0xfdffffff] has been reserved
[    0.356149] system 00:00: [mem 0xfe000000-0xfe01ffff] has been reserved
[    0.356151] system 00:00: [mem 0xfe036000-0xfe03bfff] has been reserved
[    0.356153] system 00:00: [mem 0xfe03d000-0xfe3fffff] has been reserved
[    0.356155] system 00:00: [mem 0xfe410000-0xfe7fffff] has been reserved
[    0.356162] system 00:00: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.356692] system 00:01: [io  0x2000-0x20fe] has been reserved
[    0.356697] system 00:01: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.357038] system 00:02: [io  0x0680-0x069f] has been reserved
[    0.357040] system 00:02: [io  0xffff] has been reserved
[    0.357042] system 00:02: [io  0xffff] has been reserved
[    0.357044] system 00:02: [io  0xffff] has been reserved
[    0.357047] system 00:02: [io  0x1800-0x18fe] has been reserved
[    0.357049] system 00:02: [io  0x164e-0x164f] has been reserved
[    0.357054] system 00:02: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.357215] pnp 00:03: Plug and Play ACPI device, IDs PNP0b00 (active)
[    0.357270] system 00:04: [io  0x1854-0x1857] has been reserved
[    0.357275] system 00:04: Plug and Play ACPI device, IDs INT3f0d PNP0c02 (active)
[    0.357329] pnp 00:05: Plug and Play ACPI device, IDs PNP0303 (active)
[    0.359427] system 00:06: [mem 0xfe029000-0xfe029fff] has been reserved
[    0.359429] system 00:06: [mem 0xfe028000-0xfe028fff] has been reserved
[    0.359434] system 00:06: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.360398] system 00:07: [mem 0xfed10000-0xfed17fff] has been reserved
[    0.360401] system 00:07: [mem 0xfed18000-0xfed18fff] has been reserved
[    0.360403] system 00:07: [mem 0xfed19000-0xfed19fff] has been reserved
[    0.360405] system 00:07: [mem 0xe0000000-0xefffffff] has been reserved
[    0.360407] system 00:07: [mem 0xfed20000-0xfed3ffff] has been reserved
[    0.360409] system 00:07: [mem 0xfed90000-0xfed93fff] could not be reserved
[    0.360412] system 00:07: [mem 0xfed45000-0xfed8ffff] could not be reserved
[    0.360414] system 00:07: [mem 0xff000000-0xffffffff] could not be reserved
[    0.360416] system 00:07: [mem 0xfee00000-0xfeefffff] could not be reserved
[    0.360418] system 00:07: [mem 0x3d000000-0x3d01ffff] has been reserved
[    0.360423] system 00:07: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.361030] pnp: PnP ACPI: found 8 devices
[    0.367162] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[    0.367193] pci 0000:00:1d.0: bridge window [io  0x1000-0x0fff] to [bus 03-3b] add_size 1000
[    0.367200] pci 0000:00:1d.0: BAR 13: assigned [io  0x4000-0x4fff]
[    0.367204] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.367211] pci 0000:00:1c.0:   bridge window [mem 0x56200000-0x563fffff]
[    0.367219] pci 0000:00:1c.4: PCI bridge to [bus 02]
[    0.367223] pci 0000:00:1c.4:   bridge window [mem 0x56100000-0x561fffff]
[    0.367231] pci 0000:00:1d.0: PCI bridge to [bus 03-3b]
[    0.367235] pci 0000:00:1d.0:   bridge window [io  0x4000-0x4fff]
[    0.367240] pci 0000:00:1d.0:   bridge window [mem 0x40000000-0x560fffff]
[    0.367244] pci 0000:00:1d.0:   bridge window [mem 0x2fd0000000-0x2ff1ffffff 64bit pref]
[    0.367254] pci_bus 0000:00: resource 4 [io  0x0000-0x0cf7 window]
[    0.367256] pci_bus 0000:00: resource 5 [io  0x0d00-0xffff window]
[    0.367258] pci_bus 0000:00: resource 6 [mem 0x000a0000-0x000bffff window]
[    0.367260] pci_bus 0000:00: resource 7 [mem 0x000c0000-0x000c3fff window]
[    0.367261] pci_bus 0000:00: resource 8 [mem 0x000c4000-0x000c7fff window]
[    0.367263] pci_bus 0000:00: resource 9 [mem 0x000c8000-0x000cbfff window]
[    0.367265] pci_bus 0000:00: resource 10 [mem 0x000cc000-0x000cffff window]
[    0.367267] pci_bus 0000:00: resource 11 [mem 0x000d0000-0x000d3fff window]
[    0.367269] pci_bus 0000:00: resource 12 [mem 0x000d4000-0x000d7fff window]
[    0.367271] pci_bus 0000:00: resource 13 [mem 0x000d8000-0x000dbfff window]
[    0.367273] pci_bus 0000:00: resource 14 [mem 0x000dc000-0x000dffff window]
[    0.367274] pci_bus 0000:00: resource 15 [mem 0x3d000000-0xdfffffff window]
[    0.367276] pci_bus 0000:00: resource 16 [mem 0x2000000000-0x2fffffffff window]
[    0.367278] pci_bus 0000:00: resource 17 [mem 0xfd000000-0xfe7fffff window]
[    0.367280] pci_bus 0000:01: resource 1 [mem 0x56200000-0x563fffff]
[    0.367282] pci_bus 0000:02: resource 1 [mem 0x56100000-0x561fffff]
[    0.367284] pci_bus 0000:03: resource 0 [io  0x4000-0x4fff]
[    0.367286] pci_bus 0000:03: resource 1 [mem 0x40000000-0x560fffff]
[    0.367288] pci_bus 0000:03: resource 2 [mem 0x2fd0000000-0x2ff1ffffff 64bit pref]
[    0.367549] NET: Registered protocol family 2
[    0.367815] tcp_listen_portaddr_hash hash table entries: 4096 (order: 4, 65536 bytes)
[    0.367852] TCP established hash table entries: 65536 (order: 7, 524288 bytes)
[    0.368038] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
[    0.368326] TCP: Hash tables configured (established 65536 bind 65536)
[    0.368397] UDP hash table entries: 4096 (order: 5, 131072 bytes)
[    0.368431] UDP-Lite hash table entries: 4096 (order: 5, 131072 bytes)
[    0.368546] NET: Registered protocol family 1
[    0.368551] NET: Registered protocol family 44
[    0.368561] pci 0000:00:02.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
[    0.370582] PCI: CLS 64 bytes, default 64
[    0.370622] Unpacking initramfs...
[    1.157210] Freeing initrd memory: 38700K
[    1.157269] DMAR: ACPI device "device:7a" under DMAR at fed91000 as 00:15.0
[    1.157274] DMAR: ACPI device "device:7b" under DMAR at fed91000 as 00:15.1
[    1.172075] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
[    1.172099] software IO TLB [mem 0x25600000-0x29600000] (64MB) mapped at [(____ptrval____)-(____ptrval____)]
[    1.172290] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x396d519840e, max_idle_ns: 881590569543 ns
[    1.172310] clocksource: Switched to clocksource tsc
[    1.172498] Scanning for low memory corruption every 60 seconds
[    1.173470] Initialise system trusted keyrings
[    1.173481] Key type blacklist registered
[    1.173517] workingset: timestamp_bits=36 max_order=21 bucket_order=0
[    1.175158] zbud: loaded
[    1.175839] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    1.176059] fuse init (API version 7.27)
[    1.176126] pstore: using deflate compression
[    1.177539] Key type asymmetric registered
[    1.177540] Asymmetric key parser 'x509' registered
[    1.177598] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 244)
[    1.177636] io scheduler noop registered
[    1.177637] io scheduler deadline registered
[    1.177692] io scheduler cfq registered (default)
[    1.178825] pcieport 0000:00:1c.0: Signaling PME with IRQ 122
[    1.178845] pcieport 0000:00:1c.4: Signaling PME with IRQ 123
[    1.178864] pcieport 0000:00:1d.0: Signaling PME with IRQ 124
[    1.178893] pciehp 0000:00:1d.0:pcie004: Slot #8 AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surprise+ Interlock- NoCompl+ LLActRep+
[    1.178940] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[    1.179014] efifb: probing for efifb
[    1.179032] efifb: framebuffer at 0x2fc0000000, using 32448k, total 32448k
[    1.179033] efifb: mode is 3840x2160x32, linelength=15360, pages=1
[    1.179034] efifb: scrolling: redraw
[    1.179036] efifb: Truecolor: size=8:8:8:8, shift=24:16:8:0
[    1.179194] Console: switching to colour frame buffer device 480x135
[    1.179329] fb0: EFI VGA frame buffer device
[    1.179345] intel_idle: MWAIT substates: 0x11142120
[    1.179348] intel_idle: v0.4.1 model 0x8E
[    1.179891] intel_idle: lapic_timer_reliable_states 0xffffffff
[    1.180141] ACPI: AC Adapter [ADP0] (on-line)
[    1.180230] input: Lid Switch as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0
[    1.180237] ACPI: Lid Switch [LID0]
[    1.180274] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input1
[    1.180281] ACPI: Power Button [PWRB]
[    1.182492] Serial: 8250/16550 driver, 32 ports, IRQ sharing enabled
[    1.185200] Linux agpgart interface v0.103
[    1.206221] loop: module loaded
[    1.206452] libphy: Fixed MDIO Bus: probed
[    1.206453] tun: Universal TUN/TAP device driver, 1.6
[    1.206539] PPP generic driver version 2.4.2
[    1.206603] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.206607] ehci-pci: EHCI PCI platform driver
[    1.206617] ehci-platform: EHCI generic platform driver
[    1.206628] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    1.206630] ohci-pci: OHCI PCI platform driver
[    1.206639] ohci-platform: OHCI generic platform driver
[    1.206649] uhci_hcd: USB Universal Host Controller Interface driver
[    1.206860] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    1.206867] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 1
[    1.207940] xhci_hcd 0000:00:14.0: hcc params 0x200077c1 hci version 0x100 quirks 0x0000000000109810
[    1.207946] xhci_hcd 0000:00:14.0: cache line size of 64 is not supported
[    1.208182] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002, bcdDevice= 4.18
[    1.208184] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.208186] usb usb1: Product: xHCI Host Controller
[    1.208188] usb usb1: Manufacturer: Linux 4.18.0-8-generic xhci-hcd
[    1.208190] usb usb1: SerialNumber: 0000:00:14.0
[    1.208347] hub 1-0:1.0: USB hub found
[    1.208363] hub 1-0:1.0: 12 ports detected
[    1.210686] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    1.210690] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 2
[    1.210695] xhci_hcd 0000:00:14.0: Host supports USB 3.0  SuperSpeed
[    1.210733] usb usb2: New USB device found, idVendor=1d6b, idProduct=0003, bcdDevice= 4.18
[    1.210735] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.210737] usb usb2: Product: xHCI Host Controller
[    1.210739] usb usb2: Manufacturer: Linux 4.18.0-8-generic xhci-hcd
[    1.210740] usb usb2: SerialNumber: 0000:00:14.0
[    1.210887] hub 2-0:1.0: USB hub found
[    1.210899] hub 2-0:1.0: 6 ports detected
[    1.211284] usb: port power management may be unreliable
[    1.211776] i8042: PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
[    1.211777] i8042: PNP: PS/2 appears to have AUX port disabled, if this is incorrect please boot with i8042.nopnp
[    1.217571] serio: i8042 KBD port at 0x60,0x64 irq 1
[    1.217839] mousedev: PS/2 mouse device common for all mice
[    1.218463] rtc_cmos 00:03: RTC can wake from S4
[    1.219026] rtc_cmos 00:03: registered as rtc0
[    1.219052] rtc_cmos 00:03: alarms up to one month, y3k, 242 bytes nvram
[    1.219061] i2c /dev entries driver
[    1.219069] pcie_mp2_amd: AMD(R) PCI-E MP2 Communication Driver Version: 1.0
[    1.219168] device-mapper: uevent: version 1.0.3
[    1.219322] device-mapper: ioctl: 4.39.0-ioctl (2018-04-03) initialised: dm-devel@redhat.com
[    1.219327] intel_pstate: Intel P-state driver initializing
[    1.219996] intel_pstate: HWP enabled
[    1.220071] ledtrig-cpu: registered to indicate activity on CPUs
[    1.220073] EFI Variables Facility v0.08 2004-May-17
[    1.227777] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input2
[    1.255872] intel_pmc_core:  initialized
[    1.256082] NET: Registered protocol family 10
[    1.259433] Segment Routing with IPv6
[    1.259444] NET: Registered protocol family 17
[    1.259461] Key type dns_resolver registered
[    1.260020] RAS: Correctable Errors collector initialized.
[    1.260056] microcode: sig=0x806ea, pf=0x80, revision=0x96
[    1.260368] microcode: Microcode Update Driver: v2.2.
[    1.260373] sched_clock: Marking stable (1260365923, 0)->(1254733627, 5632296)
[    1.260849] registered taskstats version 1
[    1.260855] Loading compiled-in X.509 certificates
[    1.262386] Loaded X.509 cert 'Build time autogenerated kernel key: 977ff1b22c95c6348d72c5ee066b4a67a3a42681'
[    1.264459] Loaded UEFI:db cert 'Microsoft Windows Production PCA 2011: a92902398e16c49778cd90f99e4f9ae17c55af53' linked to secondary sys keyring
[    1.264475] Loaded UEFI:db cert 'Microsoft Corporation UEFI CA 2011: 13adbf4309bd82709c8cd54f316ed522988a1bd4' linked to secondary sys keyring
[    1.264482] Loaded UEFI:db cert '6M720S-13IKBR: f50b79d465f635bc4ddde11e6637af45' linked to secondary sys keyring
[    1.266180] Loaded UEFI:db cert 'LCFC: 16e5000ec0e008a3434536c06d55a3b6' linked to secondary sys keyring
[    1.266182] Problem loading UEFI:db X.509 certificate (-65)
[    1.267963] zswap: loaded using pool lzo/zbud
[    1.270579] Key type big_key registered
[    1.270582] Key type trusted registered
[    1.271630] Key type encrypted registered
[    1.271631] AppArmor: AppArmor sha1 policy hashing enabled
[    1.280352] ACPI: Battery Slot [BAT0] (battery present)
[    1.283511] ima: Allocated hash algorithm: sha1
[    1.308822] evm: Initialising EVM extended attributes:
[    1.308823] evm: security.selinux
[    1.308823] evm: security.SMACK64
[    1.308823] evm: security.SMACK64EXEC
[    1.308824] evm: security.SMACK64TRANSMUTE
[    1.308824] evm: security.SMACK64MMAP
[    1.308824] evm: security.apparmor
[    1.308824] evm: security.ima
[    1.308825] evm: security.capability
[    1.308825] evm: HMAC attrs: 0x1
[    1.309597]   Magic number: 6:933:867
[    1.309598]   hash matches drivers/base/power/main.c:1011
[    1.309636] acpi INT3441:00: hash matches
[    1.309823] rtc_cmos 00:03: setting system clock to 2018-10-02 04:53:42 UTC (1538456022)
[    1.311389] Freeing unused kernel image memory: 2436K
[    1.336053] Write protecting the kernel read-only data: 20480k
[    1.336645] Freeing unused kernel image memory: 2008K
[    1.337067] Freeing unused kernel image memory: 1796K
[    1.342773] x86/mm: Checked W+X mappings: passed, no W+X pages found.
[    1.342774] x86/mm: Checking user space page tables
[    1.348210] x86/mm: Checked W+X mappings: passed, no W+X pages found.
[    1.402630] hidraw: raw HID events driver (C) Jiri Kosina
[    1.403651] intel-lpss 0000:00:15.0: enabling device (0000 -> 0002)
[    1.405469] nvme nvme0: pci function 0000:02:00.0
[    1.422917] intel-lpss 0000:00:15.1: enabling device (0000 -> 0002)
[    1.426165] i2c_hid i2c-MSFT0001:01: i2c-MSFT0001:01 supply vdd not found, using dummy regulator
[    1.439713] random: fast init done
[    1.445039] random: systemd-udevd: uninitialized urandom read (16 bytes read)
[    1.445045] random: systemd-udevd: uninitialized urandom read (16 bytes read)
[    1.445054] random: systemd-udevd: uninitialized urandom read (16 bytes read)
[    1.454712] input: MSFT0001:01 04F3:3095 Mouse as /devices/pci0000:00/0000:00:15.1/i2c_designware.1/i2c-1/i2c-MSFT0001:01/0018:04F3:3095.0001/input/input3
[    1.454798] input: MSFT0001:01 04F3:3095 Touchpad as /devices/pci0000:00/0000:00:15.1/i2c_designware.1/i2c-1/i2c-MSFT0001:01/0018:04F3:3095.0001/input/input5
[    1.454855] hid-generic 0018:04F3:3095.0001: input,hidraw0: I2C HID v1.00 Mouse [MSFT0001:01 04F3:3095] on i2c-MSFT0001:01
[    1.544664] usb 1-3: new full-speed USB device number 2 using xhci_hcd
[    1.629585]  nvme0n1: p1 p2 p3
[    1.693274] usb 1-3: New USB device found, idVendor=06cb, idProduct=0081, bcdDevice= 1.64
[    1.693275] usb 1-3: New USB device strings: Mfr=0, Product=0, SerialNumber=1
[    1.693276] usb 1-3: SerialNumber: 3bd1a88406bc
[    1.820071] usb 1-4: new high-speed USB device number 3 using xhci_hcd
[    1.883074] EXT4-fs (nvme0n1p3): mounted filesystem with ordered data mode. Opts: (null)
[    1.979755] usb 1-4: New USB device found, idVendor=5986, idProduct=210d, bcdDevice=53.15
[    1.979757] usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    1.979758] usb 1-4: Product: EasyCamera
[    1.979758] usb 1-4: Manufacturer: SunplusIT Inc
[    2.108761] usb 1-7: new full-speed USB device number 4 using xhci_hcd
[    2.258946] usb 1-7: New USB device found, idVendor=0cf3, idProduct=e300, bcdDevice= 0.01
[    2.258948] usb 1-7: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[    2.410937] systemd[1]: systemd 239 running in system mode. (+PAM +AUDIT +SELINUX +IMA +APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ +LZ4 +SECCOMP +BLKID +ELFUTILS +KMOD -IDN2 +IDN -PCRE2 default-hierarchy=hybrid)
[    2.428923] systemd[1]: Detected architecture x86-64.
[    2.432209] systemd[1]: Set hostname to <krinko-Lenovo-ideapad-720S-13IKB>.
[    2.509822] systemd[1]: Set up automount Arbitrary Executable File Formats File System Automount Point.
[    2.509843] systemd[1]: Reached target User and Group Name Lookups.
[    2.509916] systemd[1]: Listening on Journal Socket (/dev/log).
[    2.509946] systemd[1]: Listening on udev Kernel Socket.
[    2.509969] systemd[1]: Listening on initctl Compatibility Named Pipe.
[    2.509993] systemd[1]: Started Forward Password Requests to Wall Directory Watch.
[    2.509999] systemd[1]: Reached target Remote File Systems.
[    2.525453] EXT4-fs (nvme0n1p3): re-mounted. Opts: errors=remount-ro
[    2.526037] lp: driver loaded but no devices found
[    2.527928] ppdev: user-space parallel port driver
[    2.596942] systemd-journald[295]: Received request to flush runtime journal from PID 1
[    2.607797] systemd-journald[295]: File /var/log/journal/0ecaaac18eeb4d8eb9378e3a9403a793/system.journal corrupted or uncleanly shut down, renaming and replacing.
[    2.618125] Adding 2097148k swap on /swapfile.  Priority:-2 extents:6 across:2260988k SSFS
[    2.944203] input: Ideapad extra buttons as /devices/pci0000:00/0000:00:1f.0/PNP0C09:00/VPC2004:00/input/input6
[    3.023276] mei_me 0000:00:16.0: enabling device (0000 -> 0002)
[    3.028795] cfg80211: Loading compiled-in X.509 certificates for regulatory database
[    3.030852] cfg80211: Loaded X.509 cert 'sforshee: 00b28ddf47aef9cea7'
[    3.044260] media: Linux media interface: v0.10
[    3.064997] videodev: Linux video capture interface: v2.00
[    3.074221] Bluetooth: Core ver 2.22
[    3.074304] NET: Registered protocol family 31
[    3.074310] Bluetooth: HCI device and connection manager initialized
[    3.074324] Bluetooth: HCI socket layer initialized
[    3.074335] Bluetooth: L2CAP socket layer initialized
[    3.074364] Bluetooth: SCO socket layer initialized
[    3.103808] RAPL PMU: API unit is 2^-32 Joules, 5 fixed counters, 655360 ms ovfl timer
[    3.103810] RAPL PMU: hw unit of domain pp0-core 2^-14 Joules
[    3.103810] RAPL PMU: hw unit of domain package 2^-14 Joules
[    3.103811] RAPL PMU: hw unit of domain dram 2^-14 Joules
[    3.103812] RAPL PMU: hw unit of domain pp1-gpu 2^-14 Joules
[    3.103812] RAPL PMU: hw unit of domain psys 2^-14 Joules
[    3.105517] usbcore: registered new interface driver btusb
[    3.107438] Bluetooth: hci0: using rampatch file: qca/rampatch_usb_00000302.bin
[    3.107439] Bluetooth: hci0: QCA: patch rome 0x302 build 0x138, firmware rome 0x302 build 0x111
[    3.125367] cryptd: max_cpu_qlen set to 1000
[    3.131045] uvcvideo: Found UVC 1.00 device EasyCamera (5986:210d)
[    3.132865] idma64 idma64.0: Found Intel integrated DMA 64-bit
[    3.136889] Bluetooth: hci0: using NVM file: qca/nvm_usb_00000302.bin
[    3.143109] ath10k_pci 0000:01:00.0: pci irq msi oper_irq_mode 2 irq_mode 0 reset_mode 0
[    3.144489] AVX2 version of gcm_enc/dec engaged.
[    3.144490] AES CTR mode by8 optimization enabled
[    3.153031] uvcvideo 1-4:1.0: Entity type for entity Extension 4 was not initialized!
[    3.153046] uvcvideo 1-4:1.0: Entity type for entity Extension 3 was not initialized!
[    3.153057] uvcvideo 1-4:1.0: Entity type for entity Processing 2 was not initialized!
[    3.153068] uvcvideo 1-4:1.0: Entity type for entity Camera 1 was not initialized!
[    3.153522] input: EasyCamera: EasyCamera as /devices/pci0000:00/0000:00:14.0/usb1/1-4/1-4:1.0/input/input7
[    3.209036] usbcore: registered new interface driver uvcvideo
[    3.209043] USB Video Class driver (1.1.1)
[    3.220304] Setting dangerous option alpha_support - tainting kernel
[    3.221726] checking generic (2fc0000000 1fb0000) vs hw (2fc0000000 10000000)
[    3.221727] fb: switching to inteldrmfb from EFI VGA
[    3.221746] Console: switching to colour dummy device 80x25
[    3.221934] [drm] Replacing VGA console driver
[    3.223865] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    3.223866] [drm] Driver supports precise vblank timestamp query.
[    3.226469] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    3.228792] [drm] Finished loading DMC firmware i915/kbl_dmc_ver1_04.bin (v1.4)
[    3.244720] idma64 idma64.1: Found Intel integrated DMA 64-bit
[    3.250481] random: crng init done
[    3.250483] random: 7 urandom warning(s) missed due to ratelimiting
[    3.255031] input: MSFT0001:01 04F3:3095 Touchpad as /devices/pci0000:00/0000:00:15.1/i2c_designware.1/i2c-1/i2c-MSFT0001:01/0018:04F3:3095.0001/input/input10
[    3.255198] hid-multitouch 0018:04F3:3095.0001: input,hidraw0: I2C HID v1.00 Mouse [MSFT0001:01 04F3:3095] on i2c-MSFT0001:01
[    3.258280] [drm] Initialized i915 1.6.0 20180514 for 0000:00:02.0 on minor 0
[    3.260632] intel_rapl: Found RAPL domain package
[    3.260633] intel_rapl: Found RAPL domain core
[    3.260634] intel_rapl: Found RAPL domain uncore
[    3.260635] intel_rapl: Found RAPL domain dram
[    3.261248] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[    3.261476] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input11
[    3.424951] ath10k_pci 0000:01:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 17aa:0827
[    3.424953] ath10k_pci 0000:01:00.0: kconfig debug 0 debugfs 1 tracing 1 dfs 0 testmode 0
[    3.425360] ath10k_pci 0000:01:00.0: firmware ver WLAN.RM.4.4.1-00079-QCARMSWPZ-1 api 6 features wowlan,ignore-otp crc32 fd869beb
[    3.464310] audit: type=1400 audit(1538456024.651:2): apparmor="STATUS" operation="profile_load" profile="unconfined" name="libreoffice-xpdfimport" pid=558 comm="apparmor_parser"
[    3.464448] audit: type=1400 audit(1538456024.651:3): apparmor="STATUS" operation="profile_load" profile="unconfined" name="libreoffice-senddoc" pid=556 comm="apparmor_parser"
[    3.464568] audit: type=1400 audit(1538456024.651:4): apparmor="STATUS" operation="profile_load" profile="unconfined" name="libreoffice-oopslash" pid=555 comm="apparmor_parser"
[    3.464899] audit: type=1400 audit(1538456024.651:5): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/bin/man" pid=554 comm="apparmor_parser"
[    3.464905] audit: type=1400 audit(1538456024.651:6): apparmor="STATUS" operation="profile_load" profile="unconfined" name="man_filter" pid=554 comm="apparmor_parser"
[    3.464907] audit: type=1400 audit(1538456024.651:7): apparmor="STATUS" operation="profile_load" profile="unconfined" name="man_groff" pid=554 comm="apparmor_parser"
[    3.465494] audit: type=1400 audit(1538456024.651:8): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/lib/snapd/snap-confine" pid=559 comm="apparmor_parser"
[    3.465497] audit: type=1400 audit(1538456024.651:9): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/lib/snapd/snap-confine//mount-namespace-capture-helper" pid=559 comm="apparmor_parser"
[    3.465768] audit: type=1400 audit(1538456024.651:10): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/sbin/ippusbxd" pid=562 comm="apparmor_parser"
[    3.490967] ath10k_pci 0000:01:00.0: board_file api 2 bmi_id N/A crc32 20d869c3
[    3.567157] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[    3.573170] fbcon: inteldrmfb (fb0) is primary device
[    3.573263] Console: switching to colour frame buffer device 480x135
[    3.573325] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[    3.599249] snd_hda_codec_realtek hdaudioC0D0: autoconfig for ALC298: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:speaker
[    3.599251] snd_hda_codec_realtek hdaudioC0D0:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[    3.599252] snd_hda_codec_realtek hdaudioC0D0:    hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
[    3.599253] snd_hda_codec_realtek hdaudioC0D0:    mono: mono_out=0x0
[    3.599253] snd_hda_codec_realtek hdaudioC0D0:    inputs:
[    3.599255] snd_hda_codec_realtek hdaudioC0D0:      Mic=0x18
[    3.599255] snd_hda_codec_realtek hdaudioC0D0:      Internal Mic=0x12
[    3.882948] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[    3.882950] Bluetooth: BNEP filters: protocol multicast
[    3.882954] Bluetooth: BNEP socket layer initialized
[    4.090718] ath10k_pci 0000:01:00.0: Unknown eventid: 118809
[    4.093761] ath10k_pci 0000:01:00.0: Unknown eventid: 90118
[    4.094308] ath10k_pci 0000:01:00.0: htt-ver 3.47 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
[    4.176716] ath: EEPROM regdomain: 0x6c
[    4.176716] ath: EEPROM indicates we should expect a direct regpair map
[    4.176717] ath: Country alpha2 being used: 00
[    4.176718] ath: Regpair used: 0x6c
[    4.181775] ath10k_pci 0000:01:00.0 wlp1s0: renamed from wlan0
[    4.206853] IPv6: ADDRCONF(NETDEV_UP): wlp1s0: link is not ready
[    4.664993] input: HDA Intel PCH Mic as /devices/pci0000:00/0000:00:1f.3/sound/card0/input12
[    4.665067] input: HDA Intel PCH Headphone as /devices/pci0000:00/0000:00:1f.3/sound/card0/input13
[    4.665222] input: HDA Intel PCH HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input14
[    4.666070] input: HDA Intel PCH HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input15
[    4.666133] input: HDA Intel PCH HDMI/DP,pcm=8 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input16
[    4.666187] input: HDA Intel PCH HDMI/DP,pcm=9 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input17
[    4.666250] input: HDA Intel PCH HDMI/DP,pcm=10 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input18
[    4.948082] ath10k_pci 0000:01:00.0: Unknown eventid: 118809
[    4.951060] ath10k_pci 0000:01:00.0: Unknown eventid: 90118
[    5.004388] IPv6: ADDRCONF(NETDEV_UP): wlp1s0: link is not ready
[    5.068862] IPv6: ADDRCONF(NETDEV_UP): wlp1s0: link is not ready
[    9.943646] wlp1s0: authenticate with 08:02:8e:8f:8d:22
[    9.991824] wlp1s0: send auth to 08:02:8e:8f:8d:22 (try 1/3)
[    9.992596] wlp1s0: authenticated
[    9.996098] wlp1s0: associate with 08:02:8e:8f:8d:22 (try 1/3)
[    9.999236] wlp1s0: RX AssocResp from 08:02:8e:8f:8d:22 (capab=0x1411 status=0 aid=4)
[   10.001899] wlp1s0: associated
[   10.037454] IPv6: ADDRCONF(NETDEV_CHANGE): wlp1s0: link becomes ready
[   35.844147] systemd-journald[295]: File /var/log/journal/0ecaaac18eeb4d8eb9378e3a9403a793/user-1000.journal corrupted or uncleanly shut down, renaming and replacing.
[   38.360913] Bluetooth: RFCOMM TTY layer initialized
[   38.360920] Bluetooth: RFCOMM socket layer initialized
[   38.360924] Bluetooth: RFCOMM ver 1.11
[   39.207722] rfkill: input handler disabled

Thanks,


Joe
Comment 1 Lakshmi 2018-10-03 06:48:47 UTC
Joe, Can you please try to reproduce the issue using drm-tip (https://cgit.freedesktop.org/drm-tip) and kernel parameters drm.debug=0x1e log_buf_len=4M, and if the problem persists attach the full dmesg from boot.
Comment 2 Lakshmi 2018-10-03 07:04:12 UTC
Joe, In order to debug the issue, following information will be useful
cat /sys/kernel/debug/dri/0/i915_edp_psr_status 

Can you send this output?
Comment 3 Lakshmi 2018-10-03 07:18:45 UTC
*** Bug 108138 has been marked as a duplicate of this bug. ***
Comment 4 Jani Nikula 2018-10-03 12:02:50 UTC
For starters, full dmesg with drm.debug=14 on whichever kernel you're running will be helpful, but be prepared to try drm-tip too.

And do *attach* the logs, don't add them in comments!
Comment 5 Joe 2018-10-03 12:53:56 UTC
Jani & Lakshmi,

Thank you for your continued support and my apologies for creating a duplicate on this. I received and email saying this ticket was canceled due to size so I created a new one with the dmesg attached. 

I will try the drm-tip when I get back to my laptop this evening and report.
Will also include the full dmesg from boot and the
cat /sys/kernel/debug/dri/0/i915_edp_psr_status. 


Can I get some guidance on the following to help debug?

Where do I change drm.debug=0x1e & log_buf_len=4M? 
Also should I add the drm.debug=14 to these as well and produce the log?


Thanks,

Joe
Comment 6 Joe 2018-10-04 04:05:03 UTC
Ok apparently I'm a noob, I can't get drm-tip to install and I have no clue where to add the config statements. Any help would be appreciated.

Joe
Comment 7 Joe 2018-10-04 04:17:38 UTC
Created attachment 141867 [details]
cat /sys/kernel/debug/dri/0/i915_edp_psr_status
Comment 8 Joe 2018-10-04 04:31:29 UTC
Created attachment 141868 [details]
dmesg after drm changes
Comment 9 Joe 2018-10-04 04:33:59 UTC
Ok so the only thing I couldn't figure out is install drm-tip. So unfortunately I was not able to get the dmesg after drm-tip.
Comment 10 Lakshmi 2018-10-04 07:11:25 UTC
(In reply to Joe from comment #6)
> Ok apparently I'm a noob, I can't get drm-tip to install and I have no clue
> where to add the config statements. Any help would be appreciated.
> 
> Joe

Joe, go to grub file under /etc/default and edit like below
Grub-cmdline-linux-default = “quiet splash drm.debug=0x1e log_buf_len=4M”
Comment 11 Mazin 2018-10-04 10:38:21 UTC
This is also happening on the 8250U version of the ideapad 720s. I can attach logs if you would find them helpful.
Comment 12 Lakshmi 2018-10-04 11:16:36 UTC
Mazin,Can you also elaborate the issue, to ensure its the same bug. 
Have you verified with latest drm-tip?
You can attach the dmesg with kernel parameters drm.debug=0x1e log_buf_len=4M from boot.

The above information will help us in debugging.
Comment 13 Joe 2018-10-04 19:52:13 UTC
(In reply to Lakshmi from comment #10)
> (In reply to Joe from comment #6)
> > Ok apparently I'm a noob, I can't get drm-tip to install and I have no clue
> > where to add the config statements. Any help would be appreciated.
> > 
> > Joe
> 
> Joe, go to grub file under /etc/default and edit like below
> Grub-cmdline-linux-default = “quiet splash drm.debug=0x1e log_buf_len=4M”



Lakshmi,

I was able to make the changes to grub and attached the dmesg. Please look at dmesg2.txt.

Thanks,

joe
Comment 14 Joe 2018-10-04 19:52:42 UTC
Created attachment 141902 [details]
dmesg2.txt
Comment 15 Joe 2018-10-04 20:15:28 UTC
Team,

I was able to perform the following tasks:

git clone git://anongit.freedesktop.org/drm-tip
make defconfig
make
sudo make modules_install
sudo make install

However, I must be missing a step because dim and or drm-tip are not known programs.

Thoughts on getting drm-tip to run?

Thanks,

Joe
Comment 16 Joe 2018-10-05 03:39:42 UTC
Looks like my changes did not take I reviewed the dmesg and noticed it loaded the i915. I attached dmesg3.txt with the changes. Also note that I change the grub and still the changed didn't take. I have attached the grub file as well so you can see my changes. 

Joe
Comment 17 Joe 2018-10-05 03:40:19 UTC
Created attachment 141905 [details]
dmesg3.txt
Comment 18 Joe 2018-10-05 03:41:19 UTC
Created attachment 141906 [details]
grub
Comment 19 Joe 2018-10-08 02:02:19 UTC
Any Luck Team?
Comment 20 Lakshmi 2018-10-08 13:42:49 UTC
Joe, if not with latest drm-tip, can you try with latest mainline kernel.
Comment 21 Joe 2018-10-08 14:55:49 UTC
(In reply to Lakshmi from comment #20)
> Joe, if not with latest drm-tip, can you try with latest mainline kernel.

What would you like me to try?
Comment 22 Lakshmi 2018-10-08 20:00:07 UTC
 
> What would you like me to try?
Try to reproduce the issue with latest kernel with kernel parameters drm.debug=0x1e log_buf_len=4M, and if the problem persists attach the full dmesg from boot.
Comment 23 Mazin 2018-10-08 22:07:08 UTC
Created attachment 141943 [details]
Kernel 4.19 before flickering stops

There is still artifact issues that sometimes go away with time, this is with kernel 4.19. I don't know how to install a kernel from source and got a out of data error when I tried your provided link. This is from the .deb files http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-nightly/2018-10-08/ I found here. Thank you for your time and hope my contribution is useful
Comment 24 Mazin 2018-10-08 22:07:58 UTC
Created attachment 141944 [details]
flickering stopped
Comment 25 Joe 2018-10-09 03:32:11 UTC
(In reply to Lakshmi from comment #22)
>  
> > What would you like me to try?
> Try to reproduce the issue with latest kernel with kernel parameters
> drm.debug=0x1e log_buf_len=4M, and if the problem persists attach the full
> dmesg from boot.

Lakshmi,

You are a godsend!!! Finally no more glitching.. Thought I was going to have a seizure watching the screen glitch like that... In any case, I did want to tell you the splash screen glitched out but once I logged in, no more glitching or artifacts. I did install the latest kernel, the latest headers, and the latest modules. Attached is dmesg4.txt which is my latest dmesg in case you need if for the splash screen. I removed something from kernel parameters but will have to go back to see what it was. 

Wish I could help you folks on a regular basis but I'm no programmer just a network admin.

Joe
Comment 26 Joe 2018-10-09 03:34:39 UTC
Created attachment 141947 [details]
dmesg4.txt
Comment 27 Joe 2018-10-09 12:04:32 UTC
Lakshmi,

If you don’t mind can you explain what the fix was/how you fixed it?
Comment 28 Lakshmi 2018-10-09 12:35:34 UTC
Team is making changes on regular basis to improve the quality. You had a bit old kernel, so asked you to check with latest kernel. That solved the major problem.

You had the glitch only once? Were able to reproduce it again?
Comment 29 Joe 2018-10-09 16:43:37 UTC
(In reply to Lakshmi from comment #28)
> Team is making changes on regular basis to improve the quality. You had a
> bit old kernel, so asked you to check with latest kernel. That solved the
> major problem.
> 
> You had the glitch only once? Were able to reproduce it again?

I can reproduce the glitch on kernel 4.18 and the following systems.
Ubuntu 18.04 and 18.10 daily, Fedora 28 and 29 Beta, and Deepin Linux. I don't recall all of their kernel versions but 4.19 only worked on yesterday's daily update. Basically anything older then yesterday's kernel update won't work and the splash screen still glitches.

Here is where I got the main kernel from for Ubuntu.
http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-nightly/2018-10-08/

Joe
Comment 30 Joe 2018-10-09 16:44:29 UTC
(In reply to Mazin from comment #23)
> Created attachment 141943 [details]
> Kernel 4.19 before flickering stops
> 
> There is still artifact issues that sometimes go away with time, this is
> with kernel 4.19. I don't know how to install a kernel from source and got a
> out of data error when I tried your provided link. This is from the .deb
> files
> http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-nightly/2018-10-08/
> I found here. Thank you for your time and hope my contribution is useful

Mazin,

Just read this, wish I had this last night would have made my google searching less time consuming. Thanks for posting!!

Joe
Comment 31 Joe 2018-10-09 16:58:26 UTC
(In reply to Lakshmi from comment #28)
> Team is making changes on regular basis to improve the quality. You had a
> bit old kernel, so asked you to check with latest kernel. That solved the
> major problem.
> 
> You had the glitch only once? Were able to reproduce it again?

Sorry, for second response. I had the glitch continuously until I went to last night's build. That's why I was asking what change you made to fix it. Also what do you consider to be an old kernel because I tried 4.19 and 4.19 until last night.

Joe
Comment 32 Lakshmi 2018-10-10 06:33:48 UTC
(In reply to Joe from comment #31)
> (In reply to Lakshmi from comment #28)
> > Team is making changes on regular basis to improve the quality. You had a
> > bit old kernel, so asked you to check with latest kernel. That solved the
> > major problem.
> > 
> > You had the glitch only once? Were able to reproduce it again?
> 
> Sorry, for second response. I had the glitch continuously until I went to
> last night's build. 

If you don't see any problems with available latest kernel, I would like to close this bug.

That's why I was asking what change you made to fix it.

If kernel is build from drm-tip branch, git log might help to see all the recent changes done. In your case, I believe the file CHANGES (in the same link you posted) will help to see the changes.

> Also what do you consider to be an old kernel because I tried 4.19 and 4.19
> until last night.

Latest drm-tip is considered as the latest kernel where you will get all the recent changes (up-to date). Recommended to try latest kernel if not the latest kernel.
Comment 33 Lakshmi 2018-10-10 06:35:19 UTC
(In reply to Lakshmi from comment #32)
> (In reply to Joe from comment #31)
> > (In reply to Lakshmi from comment #28)
> > > Team is making changes on regular basis to improve the quality. You had a
> > > bit old kernel, so asked you to check with latest kernel. That solved the
> > > major problem.
> > > 
> > > You had the glitch only once? Were able to reproduce it again?
> > 
> > Sorry, for second response. I had the glitch continuously until I went to
> > last night's build. 
> 
> If you don't see any problems with available latest kernel, I would like to
> close this bug.
> 
> > That's why I was asking what change you made to fix it.
> 
> If kernel is build from drm-tip branch, git log might help to see all the
> recent changes done. In your case, I believe the file CHANGES (in the same
> link you posted) will help to see the changes.
> 
> > Also what do you consider to be an old kernel because I tried 4.19 and 4.19
> > until last night.
> 
> Latest drm-tip is considered as the latest kernel where you will get all the
> recent changes (up-to date). Recommended to try latest kernel if not the
> latest kernel.
Comment 34 Mazin 2018-10-11 11:09:58 UTC
The issue still happens but most of the time it goes away after a few minutes of usage on the latest kernel. When it doesn't, rebooting and waiting for around 5 minutes usually fixes it.
Comment 35 Lakshmi 2018-10-11 13:57:24 UTC
(In reply to Mazin from comment #34)
> The issue still happens but most of the time it goes away after a few
> minutes of usage on the latest kernel. When it doesn't, rebooting and
> waiting for around 5 minutes usually fixes it.

Mazin, Can you please elaborate the issue from this scenario? Is there any particular pattern where you see this issue? How often you see this issue?
Can you attach the dmesg log?
Comment 36 Mazin 2018-10-12 19:07:39 UTC
Created attachment 142004 [details]
kernel 4.19 2018-10-12

On the latest kernel built on 2018-10-12 the screen displays those artifacts the whole time. The artifacts do not appear until the kernel is loaded by grub, at which point it starts to "flicker".The issue is always present and the screen flickers 24/7 and doesn't require any steps to be reproduced. With the latest kernel the display also turns off for around a second and comes back on in addition to always flickering. The artifacts are always present during the boot process and when using any desktop environment regardless if it was running on X11 or wayland. I have attached a dmesg log hopefully I was clear, but you will have to forgive me if I was not as english is not my native language.
Comment 37 Joe 2018-10-15 02:18:25 UTC
Wanted to see when the did for the splash screen would occur? I still have glitching on the splash screen, also how long does it take for these kernel updates be used in Ubuntu LTS?
Comment 38 Mazin 2018-10-15 14:59:25 UTC
Joe the issue still happens on the newer daily kernels that were released yesterday, I think the fix may have been "coincidental" so it hasn't been fixed yet which is why you see the artifacts at splash screen
Comment 39 Mazin 2018-10-16 11:09:19 UTC
Do you guys need anything else or is this good for now?
Comment 40 Lakshmi 2018-10-16 11:13:40 UTC
For now, we don't need anything more. If needed our team will contact you.
Comment 41 Joe 2018-10-16 18:16:06 UTC
(In reply to Mazin from comment #39)
> Do you guys need anything else or is this good for now?

I was afraid that was the case. However, even with the splash screen still broken the desktop not glitching is much easier to troubleshoot. I was also hoping to install a kernel that loads smoothly.
Comment 42 Joe 2018-10-16 18:18:08 UTC
(In reply to Lakshmi from comment #40)
> For now, we don't need anything more. If needed our team will contact you.

Lakshmi,

Happen to have an estimated time when we can see a true fix? Not rushing just looking forward to a solid boot and OS load.

Joe
Comment 43 Mazin 2018-10-20 12:33:40 UTC
Idk if some of the devs here are even payed to fix this, which is why we shouldn't ask for an ETA. Just want to report that the issue is still present when rolling back to the kernel built on 2018-10-08. It used to stop flickering after 20 minutes of usage everytime I boot up/ wake the laptop from sleep. But now the issue is present 24/7 on every kernel I try.
Comment 44 Mazin 2018-10-30 15:39:10 UTC
Lakshmi, sorry for asking but does this have anything to do with link training for eDP? Just curious to know whats going on.
Comment 45 Mazin 2018-11-03 13:22:34 UTC
Setting nomodeset and i915.modeset=0 stops the flickering on today's kernel!
Comment 46 James Ausmus 2018-11-06 18:41:57 UTC
Mazin - from a look at your most recent attached log, it doesn't appear to be link training related - I'm only seeing 2 link training failures (one at ~67 seconds, one at ~77 seconds), so these wouldn't account for the continual flashing that you're describing.

Have you been able to try drm-tip on your system yet?
Comment 47 Mazin 2018-11-06 19:35:59 UTC
Created attachment 142392 [details]
form drm-tip built on 2018-11-02

The one from oct 12 was from drm-tip, but I have been updating to the latest kernel from drm-tip daily to see if the issue has been fixed and the lateset one I have installed is from 2018-11-02. I couldn't install kernel 4.20rc as it returns Error 2. I think the issue is from the hotplug events towards the end of the dmesg. I will attach one from 2018-11-02 just in case.
Comment 48 Mazin 2018-11-06 22:14:50 UTC
I just tried building the latest kernel from drm-tip with the old makeconfig settings and it still has the same problem. If I try to say yes to any of the new changes during make oldconfig it spits out an error message when I try to build it (error 2), so I just said no to everything. The config was taken from ubuntu 18.04.
Comment 49 Mazin 2018-11-07 14:58:25 UTC
Created attachment 142399 [details]
Forgot to add required boot parameters, here is the fixed one

Ah forgot to add drm.debug=0x1e and log_buf_len=4M, added them in this one.
Comment 50 Lakshmi 2018-11-08 15:48:02 UTC
James, any suggestion here?
Comment 51 Mazin 2018-11-10 12:10:25 UTC
*** Bug 108702 has been marked as a duplicate of this bug. ***
Comment 52 Mridul 2018-11-10 19:30:57 UTC
I am also having the same issue!

Is there anyway in which I can help ?

My kernel is 4.15.0-38-generic and flickering vanishes much more quickly on battery (under 1 minute) than when plugged in only to resurface next after computer wakes up from sleep or boots or locked screen (and screen turns black).

In short, anytime the pixels are painted afresh, flickering begins.
Comment 53 Mazin 2018-11-10 21:01:06 UTC
Mirdul,

how did you get it to stop flickering. When I was on kernel 4.15, it used to go away just like how you described. But ever since I upgraded the kernel, even downgrading won't fix it. It's always present for me whether i'm on battery or not. I also noticed that it does only flicker when there is a redraw. Enabling Panel self refresh and having the laptop display a static image causes the flickering to vanish as long as I don't do anything. If I move the cursor for example it would start flickering again.
Comment 54 Mridul 2018-11-11 06:01:57 UTC
Mazen,

now that I think about it, initially, the flicker was horrible. I saw some posts asking me to set 'intel_idle.max_cstate=1'. However this had no effect on the flicker.

I then uninstalled intel drivers completely and reinstalled by adding this ppa https://launchpad.net/~oibaf/+archive/ubuntu/graphics-drivers.

These are the drivers I have currently. Maybe you can check if this helps in reducing the flicker a little.
Comment 55 Mazin 2018-11-11 11:19:26 UTC
Tried updating with that ppa added, but nothing changed. Also the i915 driver is included in the kernel I don't understand what you mean by reinstalled the drivers. I really hope this bug gets fixed soon.
Comment 56 James Ausmus 2018-11-12 18:23:55 UTC
Any change in behavior with

i915.enable_psr=0

added to the kernel command line?
Comment 57 Mazin 2018-11-12 19:13:55 UTC
No changes with psr disabled as it was the default state, the artifacts are present 24/7.

However, when psr is enabled and the refreshes happen from the panels memory the flickering stops. Whenever something changes on the screen and stuff have to be rendered the screen displays those artifacts.
Comment 58 Rodrigo Vivi 2018-11-12 20:09:33 UTC
what about booting with i915.enable_dc=0 ?
Comment 59 Mridul 2018-11-12 20:57:23 UTC
I added `i915.enable_dc=0' to GRUB_CMDLINE_LINUX_DEFAULT; updated grub and rebooted, but still nothing.

It is still flickering.
Comment 60 Mazin 2018-11-12 22:06:50 UTC
I experienced the same thing as Mirdul.
Comment 61 Jani Saarinen 2018-11-13 07:01:58 UTC
Hi, just idea, could this series from Ville helping on symptoms? 
https://patchwork.freedesktop.org/series/51878/
Comment 62 Mazin 2018-11-13 15:17:37 UTC
I don't know how to apply the patch, I keep getting errors with git am. Hopefully someone else can try it.
Comment 63 aneganov 2018-11-17 11:49:17 UTC
Hi guys!

I'm having the same problem on my new laptop - Razer Blade Stealth 13".

System: Kubuntu 18.04
CPU: i7-8550U
Video: Intel UHD Graphics 620 (rev 07) (prog-if 00 [VGA controller])
Kernel: 4.15.0-39-generic

There are some updates I haven't yet applied since system install, so I'm going to update and then write back.
Comment 64 Yugge 2018-11-17 12:49:53 UTC
Same issue here, Ideapad 720S, i5 version with the 620UHD chip. Tried running drm-tip and also Ville's patch but still have the constant flickering.
Comment 65 Yugge 2018-11-18 00:39:42 UTC
Good news! I activated fastboot (add kernel param i915.fastboot=1) and that caused the flickering to stop!
Comment 66 Mridul 2018-11-18 01:13:40 UTC
Yugge,

It looks good and there is almost no glitching(just a slight flicker) when booting and thereafter.

However, once the system wakes from sleep or a locked screen, flickering returns!

Are you not facing this?
Comment 67 Mazin 2018-11-18 01:17:08 UTC
Just tried adding i915.fastboot=1, it stops the flickering. But I'm experiencing the same thing as Mirdul, where after having the laptop suspend the flickering is back.
Comment 68 Yugge 2018-11-18 02:54:59 UTC
I had not tried suspending when I wrote before, but yes, I also experience it returning. But at least it turned my new laptop from totally useless to with some annoyances. :)

It hope it might also give some puzzle pieces to what is wrong with the driver.
Comment 69 Mridul 2018-11-18 03:01:33 UTC
Yes, indeed!
Comment 70 Dromichet 2018-11-19 22:17:29 UTC
Hi.

Same issue on a new Lenovo Ideapad 530s, having the same Intel graphics card.
However, if I connect a second display over HDMI, the laptop display flickers while this other display is functioning just fine (doing this in mirror mode).

P.S.: This flickering issue was encountered on Ubuntu 18.04LTS and Debian 9.6, but not on Windows 10, so it doesn't seem to be a hardware problem, or at least not entirely.
Comment 71 Dromichet 2018-11-19 22:21:29 UTC
:))

Just started flickering on Windows as well. It might just be a hardware bug, after all.
Comment 72 Mridul 2018-11-21 23:12:06 UTC
@Yugge,

Your fix was a life saver! I think this bug is on a lower priority with them and chances of it being fixed anytime soon are bleak. You saved our lives!!

I was contemplating going back to Windows; the flickering was so bad.. Imagine!

Thanks again!
Comment 73 Maarten Lankhorst 2018-11-22 09:30:24 UTC
Could you also create a debug log with drm.debug=0x1e and fastboot=1 ?
Comment 74 Maarten Lankhorst 2018-11-22 14:51:28 UTC
Looking at dump_pipe_config, I don't see big differences.

setup_hw_state:
[drm:intel_dump_pipe_config [i915]] dp m_n: lanes: 4; gmch_m: 6213395, gmch_n: 8388608, link_m: 517782, link_n: 524288, tu: 64

Only thing in link is:

modeset:
[drm:intel_dump_pipe_config [i915]] dp m_n: lanes: 4; gmch_m: 6213395, gmch_n: 8388608, link_m: 1035565, link_n: 1048576, tu: 64

Doubt that causes it..

But could always try a lower m/n value..

In i915/intel_dp.c:
	bool constant_n = drm_dp_has_quirk(&intel_dp->desc,
					   DP_DPCD_QUIRK_CONSTANT_N);

Change to
bool constant_n = true;
Comment 75 Dromichet 2018-11-22 18:42:16 UTC
Fixed it (on Ubuntu 18.04) with this:

sudo gedit /etc/default/grub
GRUB_CMDLINE_LINUX_DEFAULT=”quiet splash nomodeset" then exit the gedit
sudo update-grub
reboot

More details here:
https://askubuntu.com/questions/1068022/screen-tearing-flickering-on-lenovo-ideapad-720s-131ikb?fbclid=IwAR37_dYF_Q4mqLZ20KMPeNvb4yZYH7_X299pXdYs214hLGhaiYI2p78kE88
Comment 76 Dromichet 2018-11-22 18:43:46 UTC
Pay attention at the wrong quote sign, please! So:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nomodeset"
Comment 77 Yugge 2018-11-22 19:35:56 UTC
@Dromichet adding nomodeset make my setup not boot, both on my primary arch and on liveusbs of buntulikes

@Maarten Lankhorst - Will try it out when I get the chance!
Comment 78 Yugge 2018-11-22 23:01:27 UTC
@Maarten Lankhorst - Verified, forcing constant_n to true does solve the issue and let me restore from suspend without flickering!
Comment 79 Maarten Lankhorst 2018-11-22 23:24:39 UTC
This is a display DP bug then, probably needs some quirk to work correctly. :)
Comment 80 Mridul 2018-11-23 21:48:48 UTC
(In reply to Yugge from comment #78)
> @Maarten Lankhorst - Verified, forcing constant_n to true does solve the
> issue and let me restore from suspend without flickering!

Will I have to build the drivers from source? Is this documented somewhere (how to build it from source)?

Also, is this the final fix? forcing it to true?
Comment 81 Dmitry 2018-11-25 08:13:56 UTC
Lenovo 720s-13IKS 81A8000SRK. Update to latest BIOS (5SSCN34WW to 5SCN38WW) fix the problem for me. Ubuntu 18.10.
Comment 82 Yugge 2018-11-25 10:08:58 UTC
(In reply to Mridul from comment #80)
> (In reply to Yugge from comment #78)
> > @Maarten Lankhorst - Verified, forcing constant_n to true does solve the
> > issue and let me restore from suspend without flickering!
> 
> Will I have to build the drivers from source? Is this documented somewhere
> (how to build it from source)?
> 
> Also, is this the final fix? forcing it to true?


It very much depends on the distribution on how to do it properly, Arch has it documented https://wiki.archlinux.org/index.php/Kernel/Traditional_compilation .

I wouldn't call the fix final, While it did stop some flickering (short suspension, closing the lid) it caused other issues, flickering returning after a long suspension (laptop picked up after being in my bag for a while) and sometimes caused the screen not to turn on after lid open. So it might indicate something about the issue, but is by no means the final fix.
Comment 83 Yugge 2018-11-26 22:55:05 UTC
(In reply to Dmitry from comment #81)
> Lenovo 720s-13IKS 81A8000SRK. Update to latest BIOS (5SSCN34WW to 5SCN38WW)
> fix the problem for me. Ubuntu 18.10.

Was interested to see if it was indeed a bios issue for my Lenovo 720s-13IKB 81BV so I updated the bios to 6MCN28WW. The issue still remained, unfortunately. Just to confirmed, that model is the UHD version right?
Comment 84 Dmitry 2018-11-27 07:43:00 UTC
(In reply to Yugge from comment #83)
> (In reply to Dmitry from comment #81)
> > Lenovo 720s-13IKS 81A8000SRK. Update to latest BIOS (5SSCN34WW to 5SCN38WW)
> > fix the problem for me. Ubuntu 18.10.
> 
> Was interested to see if it was indeed a bios issue for my Lenovo 720s-13IKB
> 81BV so I updated the bios to 6MCN28WW. The issue still remained,
> unfortunately. Just to confirmed, that model is the UHD version right?

Yes, UHD versoin.

dm@720S-13IKB:~$ sudo systool -vm i915
[sudo] пароль для dm: 
Module = "i915"

  Attributes:
    coresize            = "1740800"
    initsize            = "0"
    initstate           = "live"
    refcnt              = "20"
    srcversion          = "8F2ABA1EAAB491BBB0801EE"
    taint               = ""
    uevent              = <store method only>

  Parameters:
    alpha_support       = "N"
    disable_display     = "N"
    disable_power_well  = "1"
    dmc_firmware_path   = "(null)"
    edp_vswing          = "0"
    enable_cmd_parser   = "Y"
    enable_dc           = "-1"
    enable_dp_mst       = "Y"
    enable_dpcd_backlight= "N"
    enable_fbc          = "1"
    enable_guc          = "0"
    enable_gvt          = "N"
    enable_hangcheck    = "Y"
    enable_ips          = "1"
    enable_ppgtt        = "3"
    enable_psr          = "0"
    error_capture       = "Y"
    fastboot            = "N"
    force_reset_modeset_test= "N"
    guc_firmware_path   = "(null)"
    guc_log_level       = "0"
    huc_firmware_path   = "(null)"
    invert_brightness   = "0"
    load_detect_test    = "N"
    lvds_channel_mode   = "0"
    mmio_debug          = "0"
    modeset             = "-1"
    nuclear_pageflip    = "N"
    panel_ignore_lid    = "1"
    panel_use_ssc       = "-1"
    prefault_disable    = "N"
    reset               = "2"
    vbt_firmware        = "(null)"
    vbt_sdvo_panel_type = "-1"
    verbose_state_checks= "Y"

dm@720S-13IKB:~$ uname -a
Linux 720S-13IKB 4.18.0-12-generic #13-Ubuntu SMP Wed Nov 14 15:17:05 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

dm@720S-13IKB:~$ tlp-stat -s
--- TLP 1.1 --------------------------------------------

+++ System Info
System         = LENOVO Lenovo ideapad 720S-13IKB 81A8
BIOS           = 5SCN38WW
Release        = Ubuntu 18.10
Kernel         = 4.18.0-12-generic #13-Ubuntu SMP Wed Nov 14 15:17:05 UTC 2018 x86_64
/proc/cmdline  = BOOT_IMAGE=/vmlinuz-4.18.0-12-generic root=/dev/nvme0n1p3 ro quiet splash vt.handoff=1
Init system    = systemd v239
Boot mode      = UEFI
Comment 85 Dmitry 2018-11-27 08:50:38 UTC
Boot kubuntu 18.10 from legacy mode (MBR) - screen flicker, boot from EFI - no screen fliker.
Comment 86 Dromichet 2018-11-29 00:52:56 UTC
Hello again.

Although I've got rid of the flickering/screen-tearing by booting with the "nomodeset" GRUB parameter (or i915.modeset=0), I wasn't fully satisfied with this solution as some options were no longer available (the missing brightness control and disabled suspend mode were the most annoying).

After much digging around for a solution, and even updating the kernel to 4.19.0-041900.201810221809, the actual solution came from BIOS.

The problem was SOLVED when I changed the Boot Mode from "Legacy support" (or something) to (only) UEFI.
Comment 87 Mazin 2018-11-29 02:45:02 UTC
Dromichet I've been running UEFI only the whole time. I don't think this is related since turning on legacy support also breaks windows for me and linux doesn't get fixed on either UEFI/Legacy. Plus even the symptoms you were having are different.
Comment 88 Mridul 2018-11-29 02:50:30 UTC
Yup! me too. I have been running UEFI too and therefore do not think it is related to this!
Comment 89 Mridul 2019-01-22 00:51:19 UTC
Hello All!

I got a bios update today when I was working on Windows.. When I logged back in, there was no flickering even after waking from a suspend.

Could you folks please confirm if this was indeed an issue with the Lennovo BIOS.

Regards,
Comment 90 Mridul 2019-01-22 01:41:34 UTC
Sorry! 
False alarm... 

It is still flickering despite BIOS update...
Comment 91 Siddharh Bora 2019-02-05 10:58:57 UTC
Hi,
Was this issue resolved for anyone. I moved to kernel `Linux 4.20.6-042006-generic` and use `i915.fastboot=1` in my grub options but ubuntu 18.04 still flickers when it wakes up after lock or sleep.
The above options do prevent it from flickering from the start but only after it has once gone to sleep (display turned off).
Any help with this would be greatly appreciated.

Thanks,
Siddharth
Comment 92 Yugge 2019-02-05 11:40:57 UTC
No, this is still an ongoing issue. Some people had luck with upgrading their BIOS, but me and many more still have the issue unfortunately.
Comment 93 Yugge 2019-03-01 12:15:55 UTC
@Maintainers

Is there anything additional Information I can supply to help with this issue?
Comment 94 Lakshmi 2019-03-06 11:58:10 UTC
@Maarten, any further help here?
Comment 95 Mridul 2019-04-19 04:57:01 UTC
Did anyone check with the new kernel(5) in ubuntu 19.04?
Comment 96 Mazin 2019-04-19 13:02:57 UTC
Nothing changed, I assume that work will be done here before the fix is pushed. 

@Marteen I also tried to build the kernel with "constant_n = true;" and the flickering is still there. I do know that a laptop with the same display panel (Dell xps 9370) works perfectly fine under Linux. The panel is manufactured by AUO and is the B133ZAN01.1.
Comment 97 Lakshmi 2019-04-23 07:41:05 UTC
(In reply to Mazin from comment #96)
> Nothing changed, I assume that work will be done here before the fix is
> pushed. 
> 
> @Marteen I also tried to build the kernel with "constant_n = true;" and the
> flickering is still there. I do know that a laptop with the same display
> panel (Dell xps 9370) works perfectly fine under Linux. The panel is
> manufactured by AUO and is the B133ZAN01.1.

Maarten, any further comments here?
Comment 98 Mazin 2019-05-05 21:37:22 UTC
Ignore what I said earlier, the xps 13 model that uses the same panel is the xps 13 9380, and it seems to exhibit the same sort of flicker issue according to Bug 110511. Sorry!
Comment 99 Yugge 2019-05-28 05:59:06 UTC
Created attachment 144358 [details]
dmesg from 5.1.4-arch1-1-ARCH with drm.debug=14

Adding a dmesg of my current kernel with fastboot enabled, 0-70s is the correct behaviour, after that its me closing the lid, waiting a bit and then opening it to a flickery display. Seems like the later part gets a lot of hotplug events etc, maybe a hint?
Comment 100 Lakshmi 2019-05-28 06:33:58 UTC
@Stan/Maarten, can you help here? Any further suggestions?
Comment 101 Maarten Lankhorst 2019-05-28 08:04:15 UTC
Working (fastset at boot):
[    3.494890] [drm:intel_dump_pipe_config [i915]] dp m_n: lanes: 4; gmch_m: 6213395, gmch_n: 8388608, link_m: 517782, link_n: 524288, tu: 64

Broken (modeset):
[  192.531640] [drm:intel_dump_pipe_config [i915]] dp m_n: lanes: 4; gmch_m: 6213395, gmch_n: 8388608, link_m: 1035565, link_n: 1048576, tu: 64

in intel_dp.c:

	bool constant_n = drm_dp_has_quirk(&intel_dp->desc,
					   DP_DPCD_QUIRK_CONSTANT_N);

Replace with
	bool constant_n = true;

And rebuild.

Could you test if it works then?
Comment 102 Yugge 2019-05-28 17:57:48 UTC
Created attachment 144365 [details]
dmesg with constant_n forced true

Unfortunately not. Attached dmesg from using the newly compiled kernel with the forced constant_n
Comment 103 Mazin 2019-05-28 18:22:47 UTC
Same thing happens to me, drops to the exact same wrong modeset after changing the bool value. 

 (wrong modeset) dp m_n: lanes: 4; gmch_m: 24271, gmch_n: 32768, link_m: 32361, link_n: 32768, tu: 64
Comment 104 Maarten Lankhorst 2019-05-29 08:48:29 UTC
Oh well, worth a shot.
Comment 105 Lakshmi 2019-08-27 09:13:10 UTC
Maarten, what are the next steps?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.